Public Member Functions | Data Fields

# IndustryTileResolverObject Struct Reference

Resolver for industry tiles. More...

`#include <newgrf_industrytiles.h>`

Inheritance diagram for IndustryTileResolverObject:

## Public Member Functions
| IndustryTileResolverObject (IndustryGfx gfx, TileIndex tile, Industry *indus, CallbackID callback=CBID_NO_CALLBACK, uint32 callback_param1=0, uint32 callback_param2=0)
| Constructor of the industry tiles scope resolver.
ScopeResolver * | GetScope (VarSpriteGroupScope scope=VSG_SCOPE_SELF, byte relative=0)
| Get a resolver for the scope.
## Data Fields
IndustryTileScopeResolver | indtile_scope
| Scope resolver for the industry tile.
IndustriesScopeResolver | ind_scope
| Scope resolver for the industry owning the tile.

## Detailed Description

Resolver for industry tiles.

Definition at line 33 of file newgrf_industrytiles.h.

## Constructor & Destructor Documentation

IndustryTileResolverObject::IndustryTileResolverObject | ( | IndustryGfx | gfx,
|  | TileIndex | tile,
|  | Industry * | indus,
|  | CallbackID | callback = `CBID_NO_CALLBACK`,
|  | uint32 | callback_param1 = `0`,
|  | uint32 | callback_param2 = `0` |
| ) |  |  |

Constructor of the industry tiles scope resolver.

Parameters:

  | gfx | Graphics of the industry.
  | tile | Tile of the industry.
  | indus | Industry owning the tile.
  | callback | Callback ID.
  | callback_param1 | First parameter (var 10) of the callback.
  | callback_param2 | Second parameter (var 18) of the callback.

Definition at line 144 of file newgrf_industrytiles.cpp.

## Member Function Documentation

ScopeResolver* IndustryTileResolverObject::GetScope | ( | VarSpriteGroupScope | scope = `VSG_SCOPE_SELF`,
|  | byte | relative = `0` |
| ) |  |  | `[inline, virtual]`

Get a resolver for the scope.

Parameters:

  | scope | Scope to return.
  | relative | Additional parameter for VSG_SCOPE_RELATIVE.

Returns:
  The resolver for the requested scope.

Reimplemented from ResolverObject.

Definition at line 40 of file newgrf_industrytiles.h.

References ind_scope, indtile_scope, VSG_SCOPE_PARENT, and VSG_SCOPE_SELF.

Referenced by NIHIndustryTile::Resolve().

The documentation for this struct was generated from the following files:

- src/newgrf_industrytiles.h
- src/newgrf_industrytiles.cpp